com.groupdocs.conversion.converter.option

## Class HtmlSaveOptions

- java.lang.Object
- - com.groupdocs.conversion.converter.option.SaveOptions
  - - com.groupdocs.conversion.converter.option.HtmlSaveOptions

- All Implemented Interfaces:
    com.aspose.ms.System.ICloneable, Cloneable

      public final class HtmlSaveOptions
      extends SaveOptions

  Options for to Html conversion

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HtmlSaveOptions.HtmlFileType` Pdf file types

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlSaveOptions()` Create HtmlSaveOptions instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.groupdocs.foundation.domain.FileType` | `getConvertFileType_HtmlSaveOptions_New()` The desired file type to which the input document should be converted to
    `boolean` | `getFixedLayout()` If true fixed layout will be used e.g.
    `boolean` | `getPageMode_HtmlSaveOptions_New()` If true the conversion result will be set of streams/files for each page If false only one stream/file will be returned Default: false
    `boolean` | `getUsePdf_HtmlSaveOptions_New()` If `true`, the input firstly is converted to PDF and after that to desired format
    `void` | `setConvertFileType_HtmlSaveOptions_New(com.groupdocs.foundation.domain.FileType value)` The desired file type to which the input document should be converted to
    `void` | `setFixedLayout(boolean value)` If true fixed layout will be used e.g.
    `void` | `setPageMode_HtmlSaveOptions_New(boolean value)` If true the conversion result will be set of streams/files for each page If false only one stream/file will be returned Default: false
    `void` | `setUsePdf_HtmlSaveOptions_New(boolean value)` If `true`, the input firstly is converted to PDF and after that to desired format

    - ### Methods inherited from class com.groupdocs.conversion.converter.option.SaveOptions

      `deepClone, getConvertFileType, getCustomName, getHideWordComments, getHideWordTrackedChanges, getNumPagesToConvert, getOutputType, getPageMode, getPageNumber, getSaveOptionsType, getShowGridLines, getShowHiddenSheets, getUsePdf, getWatermarkOptions, memberwiseClone, setConvertFileType, setCustomName, setHideWordComments, setHideWordTrackedChanges, setNumPagesToConvert, setOutputType, setPageMode, setPageNumber, setShowGridLines, setShowHiddenSheets, setUsePdf, setWatermarkOptions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HtmlSaveOptions

          public HtmlSaveOptions()

      Create HtmlSaveOptions instance

  - ### Method Detail

    - #### getUsePdf_HtmlSaveOptions_New

          public boolean getUsePdf_HtmlSaveOptions_New()

      If `true`, the input firstly is converted to PDF and after that to desired format

      Returns:

    - #### setUsePdf_HtmlSaveOptions_New

          public void setUsePdf_HtmlSaveOptions_New(boolean value)

      If `true`, the input firstly is converted to PDF and after that to desired format

      Parameters:
        `value` -

    - #### getConvertFileType_HtmlSaveOptions_New

          public com.groupdocs.foundation.domain.FileType getConvertFileType_HtmlSaveOptions_New()

      The desired file type to which the input document should be converted to

      Returns:

    - #### setConvertFileType_HtmlSaveOptions_New

          public void setConvertFileType_HtmlSaveOptions_New(com.groupdocs.foundation.domain.FileType value)

      The desired file type to which the input document should be converted to

      Parameters:
        `value` -

    - #### getPageMode_HtmlSaveOptions_New

          public boolean getPageMode_HtmlSaveOptions_New()

      If true the conversion result will be set of streams/files for each page If false only one stream/file will be returned Default: false

      Returns:

    - #### setPageMode_HtmlSaveOptions_New

          public void setPageMode_HtmlSaveOptions_New(boolean value)

      If true the conversion result will be set of streams/files for each page If false only one stream/file will be returned Default: false

      Parameters:
        `value` -

    - #### getFixedLayout

          public boolean getFixedLayout()

      If true fixed layout will be used e.g. absolutelly positioned html elements Default: true

      Returns:

    - #### setFixedLayout

          public void setFixedLayout(boolean value)

      If true fixed layout will be used e.g. absolutelly positioned html elements Default: true

      Parameters:
        `value` -

Copyright © 2017. All rights reserved.